Create New Record Assignments

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • record_id number Required

    id of the record

application/json

Body

  • user_id number

    Must provide user id or username

  • username string

    Must provide user id or username

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • user_id number Required

      the created user id

POST /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/records/{record_id}/assignments' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"user_id":161236,"username":"user"}'
Request examples
{
  "user_id": 161236,
  "username": "user"
}
Response examples (201)
[
  {
    "user_id": 161239
  },
  {
    "user_id": 161242
  }
]